function WriteSidePanel()
{
	var strHTML="";
	
	strHTML+=m_objMqButton.GetTextButtonHTML("cmdReturnLib", g_MqRef.RESX['BUTTON_RETURN_TO_LIB'], "parent.LoadView('View=Resources%2FLibrary')", "", 65, "", "", 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	
	document.write(strHTML);
	
	if(parent.objVNViewLoader){
		var oEmpAssetsView=new parent.VNViewDetails("EmpAssets", parent.GetVDURL(parent.g_VWS.URL().BaseVDName(), "View=Resources%2FEmployeeAssets"));
		parent.objVNViewLoader.AddView(oEmpAssetsView);
	}
	
}
var m_lngEmpAssetsReloadCount=0;

function ShowEmpAssets(lngEmpID)
{
	var strViewURL=parent.objVNViewLoader.GetCurrentURL("EmpAssets");
	if(strViewURL){
		strViewURL+="../ASP/SetSessionProp.asp?Id=3&Name=" + lngEmpID;
		var co=parent.objRequest.Get(strViewURL);
		if (co!=parent.objRequest.CANCEL_PROCESS){
			var objView=parent.objVNViewLoader.GetMainFrame("EmpAssets");
			if(objView){
				
				if(objView.m_objSLMgr){
					objView.m_objSLMgr.ApplySearchToSL(false, true, objView.m_objSLInput);
				}
				/*var objSL=objView.objFrames.GetFrameWindow(objView.SUMMARY_LIST_FRAME_ID);
				if(objSL){
					if(objSL.SelectAllInQuery){
						objSL.SelectAllInQuery(true);
					}
				}*/
				parent.objVNViewLoader.ShowView("EmpAssets");
			}
		}
	}else{
		if(m_lngEmpAssetsReloadCount==10){
			parent.objVNViewLoader.LoadViews();
			m_lngEmpAssetsReloadCount++;
			window.setTimeout("ShowEmpAssets()", 500);
		}
	}
}